×

Discussion Board

Results 1 to 5 of 5
  1. #1
    Regular Contributor
    Join Date
    Apr 2008
    Posts
    445

    Meego built error: Can't locate Debian/Debhelper/Dh_Lib.pm

    Hi,

    Suddenly Qt Creator (latest SDK) fails to create a binary for Meego/Harmattan builds yielding the following error:
    Code:
    dpkg-genchanges: binary-only upload - not including any source code
    Can't locate Debian/Debhelper/Dh_Lib.pm in @INC (@INC contains: /usr/lib/perl5/5.8/msys /usr/lib/perl5/5.8 /usr/lib/perl5/site_perl/5.8/msys /usr/lib/perl5/site_perl/5.8 /usr/lib/perl5/site_perl/5.8 /usr/lib/perl5/vendor_perl/5.8/msys /usr/lib/perl5/vendor_perl/5.8 /usr/lib/perl5/vendor_perl/5.8 .) at c:/nokiaqtsdk/madde/madbin/dh_clean line 10.
    BEGIN failed--compilation aborted at c:/nokiaqtsdk/madde/madbin/dh_clean line 10.
    Package created.
    ...
    With "suddenly" I mean that everything worked fine previously and then without changing anything in the system (just code in a project) the compilation fails. This is true for all (!) Meego projects int Qt. I already tried to reboot but without success.

    What causes this error and how could I fix it?

    Regards,

  2. #2
    Registered User
    Join Date
    Apr 2009
    Posts
    506

    Re: Meego built error: Can't locate Debian/Debhelper/Dh_Lib.pm

    same for me
    Symbian & Qt developer. http://vladest.org

  3. #3
    Nokia Developer Moderator
    Join Date
    Oct 2009
    Location
    Finland
    Posts
    327

    Re: Meego built error: Can't locate Debian/Debhelper/Dh_Lib.pm

    Do you have the Dh_Lib.pm in the proper places ? In my install they are at

    ~/QtSDK/Madde/madlib/perl5/Debian/Debhelper/Dh_Lib.pm
    ~/QtSDK/Madde/sysroots/harmattan-nokia-meego-arm-sysroot-1122-slim/usr/share/perl5/Debian/Debhelper/Dh_Lib.pm

    (also, maybe try with both MeeGo 1.2 API and MeeGo Harmattan Platform API as Qt versions to narrow down if it's target related)

  4. #4
    Registered User
    Join Date
    Apr 2009
    Posts
    506

    Re: Meego built error: Can't locate Debian/Debhelper/Dh_Lib.pm

    Reinstalling Qt SDK 1.1.3 from scratch resolve the issue. It seems update did not updated something
    Symbian & Qt developer. http://vladest.org

  5. #5
    Registered User
    Join Date
    Jan 2009
    Posts
    94

    Re: Meego built error: Can't locate Debian/Debhelper/Dh_Lib.pm

    I have the same problem since I updated the SDK.
    Vladest - did you use the online SDK updater?

Similar Threads

  1. Error when i run my Qt Project for Meego on Qt SDK 1.1.2
    By chintandave_er in forum Nokia N9
    Replies: 7
    Last Post: 2011-07-06, 23:52
  2. Debian squeeze: cannot find -lQtDBus error
    By yangjianzhao in forum [Archived] Qt SDKs and Tools
    Replies: 4
    Last Post: 2011-03-21, 08:13
  3. Replies: 2
    Last Post: 2010-10-22, 23:35
  4. Replies: 1
    Last Post: 2006-07-17, 11:49

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •